API ReferenceApplications
POST
/oauth2/v1/revokeRequest Body
application/json
token?string
token_type_hint?string
ssoAppId?string
OIDC revoke endpoint
curl -X POST "https://api.descope.com/oauth2/v1/revoke" \ -H "Content-Type: application/json" \ -d '{}'{}export interface Response {} Was this helpful?
OIDC Token POST
OIDC token endpoint (by projectId, for an imported client_id)
Select Tenant for OAuth Tokens POST
Select the active tenant for a user that authenticated through a federated (OAuth/OIDC) application. Send the refresh token returned from the OAuth token endpoint as the bearer token, along with the application client_id and the tenant to select. Returns a new set of OIDC-compliant tokens (access, refresh and ID tokens) with the selected tenant as the dct claim, minted with the application's JWT template and session settings and preserving the originally granted scopes. The user must be a member of the selected tenant, and subsequent calls should use the newly returned refresh token